Salary.com
Home API MCP
Home
API
Welcome to the Salary.com API
Data as a Service CompAnalyst and JobArchitect

Data as a Service

Introduction & AI
Behavior Request Field Definitions Response Field Definitions Match a Job POST Batch Match Jobs POST Match a Job (Verbose) POST Batch Match Jobs (Verbose) POST
Behavior Request Field Definitions Response Field Definitions Match a Job POST Match a Job (Verbose) POST

CompAnalyst

Get an Employee GET Get Employee List GET Create an Employee POST Update an Employee PUT Delete an Employee DELETE
Get a Company Job GET Get Company Job List GET Create a Company Job POST Update a Company Job PUT
Get Composite List GET Get Composite by Job Code GET

JobArchitect

Get Job Description List GET Get a Job Description Details GET
Get Skills GET

Reference

Employees Company Jobs Salary Plan Competencies Composites JobArchitect Skills
Change Log
MCP
Welcome to Salary.com MCP Authentication

CompAnalyst Market Data Tools

Overview
getMarketRate getBenchmarkJobDetails findBenchmarkMatches compareToMarket Shared Fields & Filters

SalaryIQ Labor Market Tools

Overview
getPostingTrends getTrendingSkills getHiringCompanies summarizeLaborMarket Shared Fields & Filters

Reference

Resources
×
Back
Welcome to the Salary.com API Authentication
Data as a Service CompAnalyst and JobArchitect

Data as a Service

Introduction & AI Market Data Job Match API
Behavior Request Field Definitions Response Field Definitions Match a Job POST Batch Match Jobs POST Match a Job (Verbose) POST Batch Match Jobs (Verbose) POST
Posting Data Job Match API
Behavior Request Field Definitions Response Field Definitions Match a Job POST Match a Job (Verbose) POST

CompAnalyst

Employees
Get an Employee GET Get Employee List GET Create an Employee POST Update an Employee PUT Delete an Employee DELETE
Company Jobs
Get a Company Job GET Get Company Job List GET Create a Company JobPOST Update a Company Job PUT
Composites
Get Composite ListGET Get Composite by Job CodeGET

JobArchitect

Jobs
Get Job Description List GET Get a Job Description Details GET
Skills
Get Skills GET

Reference

Field Definitions
Employees Company Jobs Salary Plan Competencies Composites JobArchitect Skills
Change Log

Match a Job

POST /jobposting/jobpricing

Match a single job and return postings data based on scope of client credentials.

URL

https://daasjobmatchapi.salary.com/jobposting/jobpricing

Method

POST

Request Headers

Authorization: Bearer {AccessToken}

Content-Type: application/json

Request Body

{
      "JobTitle": "string", 
      "JobDesc": "string", 
      "CompanyName": "string", 
      "DataScope": { 
        "CountryCode": "string", 
        "State": "string", 
        "City": "string", 
        "ZipCode": "string", 
        "NAICSCode": "string", 
        "FTEValue": 0 
      }, 
      "DateRange": { 
        "Start": "string", 
        "End": "string" 
      },
      "OnlyPosted": true 
}

Please reference “Field Definitions” and “Behavior” sections for detailed information about the fields and API behavior. 

Example Request

curl-X'POST'\
    'https://daasjobmatchapi.salary.com/jobposting/jobpricing'\
    -H'accept:*/*'\
    -H'Authorization: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJodHRwOi8vc2NoZW1hcy54bWxzb2FwLm9yZy93cy8yMDA1LzA1L2lkZW50aXR5L2NsYWltcy9uYW1laWRlbnRpZmllciI6IjA1NjE4Q0JBLTUzMzAtNEYxQi05NzI2LUY4OUQ2MkZCNTREMCIsImh0dHA6Ly9zY2hlbWFzLnhtbHNvYXAub3JnL3dzLzIwMDUvMDUvaWRlbnRpdHkvY2xhaW1zL25hbWUiOiJCRUQ0M0ZCMC1COUU1LTQ3ODAtOUNCRS01NTdFMUE2MUFDNzciLCJuYmYiOjE3MTM0NTY1OTYsImV4cCI6MTcxNDA2MTM5NiwiaXNzIjoiU2FsYXJ5IiwiYXVkIjoiSm9iTWF0Y2hBUElDbGllbnQifQ.FFGi0Xb4Tmi8Y86hMDFVuJadlIIrek-rOtLhQveYl-o'\
    -H'Content-Type:application/json'\
    -d‘{
    "JobTitle": "Accountant", 
    "JobDesc": "Maintains financial records and ensures that financial transactions are properly recorded. Ensures the accuracy of entries to ledger accounts and reconciles subsidiary ledger accounts to the general ledger. Prepares balance sheets, profit and loss statements and other financial reports. Analyzes current costs, revenues, financial commitments, and obligations incurred to predict future revenues and expenses. Requires a bachelor's degree in accounting or finance. May require eligibility to sit for Certified Public Accountant (CPA) exam. Typically reports to a supervisor or manager.", 
    "CompanyName": "", 
    "DataScope": { 
         "CountryCode": "USA", 
         "State": "", 
         "City": "", 
         "ZipCode": "", 
         "NAICSCode": "", 
         "FTEValue": 0 
      }, 
     "DateRange": { 
         "Start": "2024-01-01", 
         "End": "2024-09-10" 
     }, 
     "OnlyPosted": false
}'

Response Body

A JSON object with the postings data.

{
   "Code": 1, 
    "Data": { 
        "MatchRating": "Confident", 
        "NumberOfPostings": 60552, 
        "NumberOfClosedPostings": 56737, 
        "NumberOfHiringCompanies": 25208, 
        "HistoricalHiringCompanies": 20691, 
        "Posting25": 63192, 
        "Posting50": 71545, 
        "Posting75": 80655, 
        "AveragePostingDuration": 28.5, 
        "CurrencyCode": "USD", 
        "DataScope_IndustryCode": "ALL", 
        "DataScope_IndustryName": "All Industries", 
        "DataScope_FTERange": "ALL", 
        "DataScope_CountryCode": "USA", 
        "DateRange_Start": "2024-01-01", 
        "DateRange_End": "2024-09-10", 
     "OnlyPosted": false 
    } 
}

HTTP Status Code 200
This response body corresponds to the example request above.

Common Errors

Missing Required Fields

200 HTTP Status Code, “Code”: -1 means no data is returned

{
    "Code": -1,
    "Message": "Get postings failed."
}

Incomplete Location

200 HTTP Status Code, “Code”: -1 means no data is returned

{
    "Code": -1,
    "Message": "Location request is incomplete"
}

No postings data based on request parameters

200 HTTP Status Code, “Code”: -1 means no data is returned 

{
    "Code": -1,
    "Message": "We do not have posting data for this job."
}

Date range problem

200 HTTP Status Code, “Code”: -1 means no data is returned 

{
    "Code": -1,
    "Message": "Start date cannot be later than end date."
}

© Copyright Salary.com 2026. All Rights Reserved.

Privacy Policy/California Privacy Rights | Legal | Accessibility | Terms of Use | Do Not Sell or Share My Information